﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Windows.Forms;
using Agilent.Chromatography.DataAnalysis.UI.Infrastructure.Themes;
using Infragistics.Win.AppStyling;
using Infragistics.Win.UltraWinGrid;

namespace CheckBoxInUltraGrid
{
    public partial class Form1 : Form
    {
        private Persons _persons = new Persons();
        public Form1()
        {
            _persons.persons.Add(new Person() {Name = "Toto", Selected = true});
            _persons.persons.Add(new Person() { Name = "titi", Selected = false });

            const string agilentChromatographyDataAnalysisUiStyleIslFile = "CheckBoxInUltraGrid.UltraGridStyle.isl";
            StyleManager.Load(Assembly.GetExecutingAssembly().GetManifestResourceStream(agilentChromatographyDataAnalysisUiStyleIslFile), true);
            
            InitializeComponent();
            this.ultraGrid1.DataSource = null;
            this.ultraGrid1.DataSource = _persons.persons;
            this.ultraGrid1.Refresh();
        }

        private void ultraButtonReload_Click(object sender, EventArgs e)
        {
            //Update the datasource
            _persons.persons.Clear();
            _persons.persons.Add(new Person() { Name = "tutu", Selected = false });
            _persons.persons.Add(new Person() { Name = "titi", Selected = false });
            ultraGrid1.Rows.Refresh(RefreshRow.ReloadData);
            //Toggle the visibility state
            ultraGrid1.DisplayLayout.Bands[0].Columns["Selected"].Header.CheckBoxVisibility = HeaderCheckBoxVisibility.Never;
            ultraGrid1.DisplayLayout.Bands[0].Columns["Selected"].Header.CheckBoxVisibility = HeaderCheckBoxVisibility.Always;
            
        }
    }

    public class Persons
    {
        public List<Person> persons = new List<Person>();
    }

    public class Person
    {
        public bool Selected { get; set; }

        public string Name { get; set; }
    }
}
